Loading...
Searching...
No Matches
casacore::Sinc_Conv< T > Class Template Reference
scimath package (libcasa_scimath) » Mathematics_module

Sine x / x function. More...

`#include <MathFunc.h>`

## Public Member Functions

| Sinc_Conv (T cut=MathFunc< T >::defSphcutoff(), T sincparm=MathFunc< T >::defSincparm())
| default constructor
| Sinc_Conv (const Sinc_Conv< T > &)
| copy constructor
Sinc_Conv< T > & | operator= (const Sinc_Conv< T > &)
T | sup_value () const
| return value of support width
T | value (const T &) const
| compute and return a value of the math function
FuncId | id () const
| return a FuncId structure for Table storage/retrieval.
Public Member Functions inherited from casacore::MathFunc< T >
| MathFunc (FUNCTYPE)
| constructors
| MathFunc (FUNCTYPE, T cutoff, T arg1=1.0e+30, T arg2=1.0e+30, T arg3=1.0e+30)
| accept up to 4 arguments, the first being the support radius
| MathFunc (String &, Vector< double > &)
| MathFunc (const MathFunc< T > &)
| MathFunc (MathFunc< T > *)
virtual | ~MathFunc ()
| Destructor.
MathFunc< T > & | operator= (const MathFunc< T > &)
| Assignment operator - Note: this function works only for envelops.

## Private Member Functions

MathFunc< T > * | clone () const
| for every derived class, return new of that class with its own parameters

## Private Attributes

T | Sinc_parm
T | sup_width

## Additional Inherited Members

Static Public Member Functions inherited from casacore::MathFunc< T >
static MathFunc< T > * | newMathFunc (const MathFunc< T > &)
| create a new math function
static T | defcutoff ()
| These functions return the static constants used as default parameters for the various derived functions.
static T | defwidth ()
| The default width for Gaussian_Conv.
static T | defKBwidth ()
| The default width for KB_Conv and Mod_KB_Conv.
static T | defKBparm ()
| A default parameter for KB_Conv and Mod_KB_Conv.
static T | defmodKBparm ()
| A default parameter for Mod_KB_Conv.
static T | defSphcutoff ()
| The default support radius for Sinc_Conv and Sph_Conv.
static T | defSincparm ()
| The default Sinc parameter for Sinc_Conv and Exp_Sinc_Conv.
static T | defSphparm ()
| The default parameter for Sph_Conv.
static T | defExpPower ()
| The default exponential power for Exp_Sinc_Conv.
static T | defExpScale ()
| The default exponential scale length for Exp_Sinc_Conv.
Protected Member Functions inherited from casacore::MathFunc< T >
| MathFunc ()
| Default constructor (Null).
Protected Attributes inherited from casacore::MathFunc< T >
MathFunc< T > * | object
| pointer to letter class

## Detailed Description

template<class T>
class casacore::Sinc_Conv< T >

Sine x / x function.

### Synopsis

Sine x / x function

Definition at line 422 of file MathFunc.h.

## Constructor & Destructor Documentation

## Sinc_Conv() [1/2]

template<class T>

casacore::Sinc_Conv< T >::Sinc_Conv | ( | T | cut = MathFunc< T >::defSphcutoff(),
|  | T | sincparm = MathFunc< T >::defSincparm() )

default constructor

References casacore::MathFunc< T >::defSincparm(), and casacore::MathFunc< T >::defSphcutoff().

Referenced by operator=(), and Sinc_Conv().

## Sinc_Conv() [2/2]

template<class T>

casacore::Sinc_Conv< T >::Sinc_Conv | ( | const Sinc_Conv< T > & |  | ) |

copy constructor

References Sinc_Conv().

## Member Function Documentation

## clone()

template<class T>

MathFunc< T > * casacore::Sinc_Conv< T >::clone | ( |  | ) | const

private virtual

for every derived class, return new of that class with its own parameters

Reimplemented from casacore::MathFunc< T >.

References casacore::MathFunc< T >::MathFunc().

## id()

template<class T>

FuncId casacore::Sinc_Conv< T >::id | ( |  | ) | const

virtual

return a FuncId structure for Table storage/retrieval.

Reimplemented from casacore::MathFunc< T >.

## operator=()

template<class T>

Sinc_Conv< T > & casacore::Sinc_Conv< T >::operator= | ( | const Sinc_Conv< T > & |  | ) |

References Sinc_Conv().

## sup_value()

template<class T>

T casacore::Sinc_Conv< T >::sup_value | ( |  | ) | const

inline virtual

return value of support width

Reimplemented from casacore::MathFunc< T >.

Definition at line 433 of file MathFunc.h.

References sup_width.

## value()

template<class T>

T casacore::Sinc_Conv< T >::value | ( | const T & | a | ) | const

virtual

compute and return a value of the math function

Reimplemented from casacore::MathFunc< T >.

## Member Data Documentation

## Sinc_parm

template<class T>

T casacore::Sinc_Conv< T >::Sinc_parm

private

Definition at line 445 of file MathFunc.h.

## sup_width

template<class T>

T casacore::Sinc_Conv< T >::sup_width

private

Definition at line 445 of file MathFunc.h.

Referenced by sup_value().

The documentation for this class was generated from the following file:

- scimath/Mathematics/MathFunc.h